﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.TimerEvent;
	import flash.utils.Timer;

	public class Spider extends Sprite
	{
		private var timer:Timer;
		private var points:Array = new Array();
		private var grid:Number=27;
		
		public function Spider()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			fullhandler(null);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			if(timer){
			timer.stop();
			}
			this.graphics.clear();
			this.graphics.lineStyle(1,0xff0000,0.2);
			points = new Array();
			timer = new Timer(100,150);
			timer.addEventListener(TimerEvent.TIMER, refresh);
			timer.start();
		}
		private function refresh(e:TimerEvent):void
		{
			var p1:Object;
			var p2:Object;
			var dx:Number;
			var dy:Number;
			var dist:Number;
			var p0:Object = {"x":Math.floor(Math.random()*(stage.stageWidth/grid))*grid, "y":Math.floor(Math.random()*(stage.stageHeight/grid))*grid};
			var max:Number = 90;
			for(var i:uint=1;i<points.length;i++){
				p1 = points[i];
				p2 = points[i-1];
				dx = p1.x - p0.x;
				dy = p1.y - p0.y;
				dist = Math.sqrt(dx * dx + dy*dy);
				if(dist < max){
					this.graphics.lineStyle(1,0xffffff,(1 - dist / max));
					this.graphics.moveTo(p0.x,p0.y);
					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.lineStyle(1,0xffff00,(1 - dist / max));
					this.graphics.moveTo(p1.y,p1.x);
					var lequel:Number=Math.floor(Math.random()*5);
					if (lequel == 0){
						this.graphics.lineTo(p0.y,p0.x);
					}
				}
			}
			points.push(p0);
		}
	}
}